find_package(GCTL REQUIRED)
message(STATUS "GCTL Version: " ${GCTL_VERSION})
if(${GCTL_VERSION} LESS 1.0)
    message(FATAL_ERROR "GCTL's version must be v1.0 or bigger.")
endif()

set(EXECUTABLE_OUTPUT_PATH ${PROJECT_BINARY_DIR}/bin)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++11 -O2")

aux_source_directory(. SRC_DIR)
add_executable(drtp ${SRC_DIR})
target_link_libraries(drtp PUBLIC ${GCTL_LIBRARY})